liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::LineVertex Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| LineVertex ()

## Public Attributes
double | shapeLength
unsigned char | shapeType
double | shapeWidth
double | x
double | y

## Constructor & Destructor Documentation

## ◆ LineVertex()

Origin::LineVertex::LineVertex | ( |  | ) |
| inline

## Member Data Documentation

## ◆ shapeLength

double Origin::LineVertex::shapeLength

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ shapeType

unsigned char Origin::LineVertex::shapeType

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ shapeWidth

double Origin::LineVertex::shapeWidth

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ x

double Origin::LineVertex::x

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ y

double Origin::LineVertex::y

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h